Pre-Mature Close Fixed Deposit Account
curl --request POST \
--url https://spark.test.woodcore.co/api/v2/fixeddepositaccounts/{accountId}/prematureClose \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"closedOnDate": "06 March 2023",
"note": "Close and transfer amount to savings",
"onAccountClosureId": "200",
"toSavingsAccountId": 24,
"transferDescription": "Transfered matured amount to savings account"
}
'import requests
url = "https://spark.test.woodcore.co/api/v2/fixeddepositaccounts/{accountId}/prematureClose"
payload = {
"closedOnDate": "06 March 2023",
"note": "Close and transfer amount to savings",
"onAccountClosureId": "200",
"toSavingsAccountId": 24,
"transferDescription": "Transfered matured amount to savings account"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
closedOnDate: '06 March 2023',
note: 'Close and transfer amount to savings',
onAccountClosureId: '200',
toSavingsAccountId: 24,
transferDescription: 'Transfered matured amount to savings account'
})
};
fetch('https://spark.test.woodcore.co/api/v2/fixeddepositaccounts/{accountId}/prematureClose', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Fixed Deposit Account
Pre-Mature Close Fixed Deposit Account
POST
/
fixeddepositaccounts
/
{accountId}
/
prematureClose
Pre-Mature Close Fixed Deposit Account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"default"
Body
application/json
Response
200 - undefined
⌘I